summaryrefslogtreecommitdiffstats
path: root/system/gnome-terminal
diff options
context:
space:
mode:
author Bob Funk <bobfunk11@gmail.com>2022-06-04 01:54:02 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-06-04 10:37:12 +0700
commita946ecd4285125c3081f52e7dc94d5f5e916963c (patch)
tree3e77fa5572575293aed055da81a867b65b243498 /system/gnome-terminal
parentbbebd0a6cd4452e4b79f2064a0008e66165d0c6f (diff)
downloadslackbuilds-a946ecd4285125c3081f52e7dc94d5f5e916963c.tar.gz
slackbuilds-a946ecd4285125c3081f52e7dc94d5f5e916963c.tar.xz
system/gnome-terminal: Updated for version 3.43.90. New maintainer.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/gnome-terminal')
-rw-r--r--system/gnome-terminal/README32
-rw-r--r--system/gnome-terminal/doinst.sh14
-rw-r--r--system/gnome-terminal/gnome-terminal.SlackBuild79
-rw-r--r--system/gnome-terminal/gnome-terminal.info14
-rw-r--r--system/gnome-terminal/slack-desc10
5 files changed, 53 insertions, 96 deletions
diff --git a/system/gnome-terminal/README b/system/gnome-terminal/README
index e97963521c..bb0ccbd191 100644
--- a/system/gnome-terminal/README
+++ b/system/gnome-terminal/README
@@ -1,27 +1,11 @@
-This is the GNOME terminal emulator application. gnome-terminal is
-only the shell (menubar, prefs dialog); the terminal emulation ("stuff
-in the middle") comes from the VTE widget.
+GNOME Terminal is a terminal emulation application that you can use to
+perform the following actions:
-How it works:
+Access a UNIX shell in the GNOME environment.
-Profiles -
- all settings are stored in profiles. prefs dialog edits the current
- profile
+Run any application that is designed to run on VT102, VT220, and xterm
+terminals.
-Session -
- just the number of open windows/tabs and their profile is stored
- per-session
-
-Command line options -
- do not overlap things that are preferences
-
-========================================================================
-
-POST INSTALL RUN:
-
-bash# killall gconfd-2
-
-The terminal doesn't launch until that is done.
-Have no idea why, if you do please let me know =D
-
-========================================================================
+GNOME Terminal accepts all of the escape sequences that the VT102 and
+VT220 terminals use for functions such as positioning the cursor and
+clearing the screen.
diff --git a/system/gnome-terminal/doinst.sh b/system/gnome-terminal/doinst.sh
index e8dcf436cb..401d987795 100644
--- a/system/gnome-terminal/doinst.sh
+++ b/system/gnome-terminal/doinst.sh
@@ -13,17 +13,3 @@ if [ -e usr/share/glib-2.0/schemas ]; then
/usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
fi
fi
-
-schema_install() {
- SCHEMA="$1"
- GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
- chroot . gconftool-2 --makefile-install-rule \
- /etc/gconf/schemas/$SCHEMA \
- 1>/dev/null
-}
-
-schema_install gnome-terminal.schemas
-
-if [ -x usr/bin/rarian-sk-update ]; then
- usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
-fi
diff --git a/system/gnome-terminal/gnome-terminal.SlackBuild b/system/gnome-terminal/gnome-terminal.SlackBuild
index 7c5ed5faf1..ee9ec628c3 100644
--- a/system/gnome-terminal/gnome-terminal.SlackBuild
+++ b/system/gnome-terminal/gnome-terminal.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for gnome-terminal
-# Copyright 2015 Thorn-Inurcide USA
+# Copyright 2022 Bob Funk Winnipeg, Canada
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,16 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# 20220211 bkw: Modified by SlackBuilds.org.
-# - updated for v2.33.5, the last of the 2.x versions. it's still
-# 10 years old.
-# - fix build on 15.0.
-# - stop writing outside of $TMP (i'm looking at you, gconf).
-
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=gnome-terminal
-VERSION=${VERSION:-2.33.5}
+VERSION=${VERSION:-3.43.90}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -73,51 +67,44 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-
-# 20220211 bkw: --disable-schemas-install is needed because without it,
-# it compiles the .schemas directly to /etc/gconf (pollutes the build box).
-# Instead, we do this in the doinst.sh.
-
-LIBS="-lICE" \
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --disable-static \
- --disable-scrollkeeper \
- --disable-maintainer-mode \
- --disable-schemas-install \
- --build=$ARCH-slackware-linux \
-
-make
-
-# 20220211 bkw: bit of a dirty hack, to get 'make install' to finish.
-# I think this is fine, but even if it's not, it only affects a few
-# translations. It's caused by --disable-scrollkeeper...
-for i in help/*/gnome-terminal-*.omf; do
- cp $i $i.out
-done
-
-# 20220211 bkw: have to install this manually.
-mkdir -p $PKG/etc/gconf/schemas
-cp -a src/gnome-terminal.schemas $PKG/etc/gconf/schemas
-
-make install-strip DESTDIR=$PKG
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog* COPYING HACKING NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING COPYING.GFDL ChangeLog README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/gnome-terminal/gnome-terminal.info b/system/gnome-terminal/gnome-terminal.info
index 848ed7b146..65ad079301 100644
--- a/system/gnome-terminal/gnome-terminal.info
+++ b/system/gnome-terminal/gnome-terminal.info
@@ -1,10 +1,10 @@
PRGNAM="gnome-terminal"
-VERSION="2.33.5"
-HOMEPAGE="https://www.gnome.org"
-DOWNLOAD="https://ftp.gnome.org/pub/gnome/sources/gnome-terminal/2.33/gnome-terminal-2.33.5.tar.gz"
-MD5SUM="fd02ea27754348cdd53ba1d9032b3179"
+VERSION="3.43.90"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-terminal"
+DOWNLOAD="https://download.gnome.org/sources/gnome-terminal/3.43/gnome-terminal-3.43.90.tar.xz"
+MD5SUM="8b5ba5c64e3f2e33d82b96f914b8e5a3"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="libgnome rarian vte2"
-MAINTAINER="Thorn Inurcide"
-EMAIL="thorn-inurcide@hotmail.com"
+REQUIRES="gnome-shell nautilus"
+MAINTAINER="Bob Funk"
+EMAIL="bobfunk11@gmail.com"
diff --git a/system/gnome-terminal/slack-desc b/system/gnome-terminal/slack-desc
index 517e883e4f..389c8853d0 100644
--- a/system/gnome-terminal/slack-desc
+++ b/system/gnome-terminal/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-gnome-terminal: gnome-terminal (GNOME terminal)
-gnome-terminal:
-gnome-terminal: This is the GNOME terminal.
-gnome-terminal:
-gnome-terminal:
+gnome-terminal: gnome-terminal (GNOME Terminal Emulator)
gnome-terminal:
+gnome-terminal: Terminal is a terminal emulator application for accessing a
+gnome-terminal: UNIX shell environment which can be used to run programs
+gnome-terminal: available on your system.
gnome-terminal:
gnome-terminal:
gnome-terminal:
gnome-terminal:
+gnome-terminal: https://gitlab.gnome.org/GNOME/gnome-terminal
gnome-terminal: